Deletes the swatch collection using the swatchCollectionTypeIds.
1 min
DELETE
https://api.upstartcommerce.com/pim/batch/swatches/types
Body Parameters
- bodyobject
- idsstring[]
Responses
200
- object
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
curl
curl --request DELETE \
--url https://api.upstartcommerce.com/pim/batch/swatches/types \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/batch/swatches/types", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/batch/swatches/types")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/batch/swatches/types"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// Collection types are deleted and status of each type is updated in the response.
{}